Developer Documentation

Public Member Functions | Private Member Functions | List of all members
OpenMesh::Decimater::ModIndependentSetsT< MeshT > Class Template Reference

`#include <OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Tools/Decimater/ModIndependentSetsT.hh>`

Inheritance diagram for OpenMesh::Decimater::ModIndependentSetsT< MeshT >:

## Public Member Functions
| ModIndependentSetsT (MeshT &_mesh)
| Constructor.
void | postprocess_collapse (const CollapseInfo &_ci) override
| override
Public Member Functions inherited from OpenMesh::Decimater::ModBaseT< MeshT >
virtual | ~ModBaseT ()
| Virtual desctructor.
virtual const std::string & | name () const
| Set module's name.
bool | is_binary (void) const
| Returns true if criteria returns a binary value.
void | set_binary (bool _b)
| Set whether module is binary or not.
virtual void | initialize ()
| Initialize module-internal stuff.
virtual float | collapse_priority (const CollapseInfoT< MeshT > &)
virtual void | preprocess_collapse (const CollapseInfoT< MeshT > &)
virtual void | set_error_tolerance_factor (double _factor)

## Private Member Functions
void | set_binary (bool _b)
| hide this method

## Additional Inherited Members
Public Types inherited from OpenMesh::Decimater::ModBaseT< MeshT >
enum | { ILLEGAL_COLLAPSE = -1, LEGAL_COLLAPSE = 0 }
typedef MeshT | Mesh
typedef CollapseInfoT< MeshT > | CollapseInfo
Protected Member Functions inherited from OpenMesh::Decimater::ModBaseT< MeshT >
| ModBaseT (MeshT &_mesh, bool _is_binary)
MeshT & | mesh ()
| Access the mesh associated with the decimater.
Protected Attributes inherited from OpenMesh::Decimater::ModBaseT< MeshT >
double | error_tolerance_factor_

## Detailed Description

### template<class MeshT>
class OpenMesh::Decimater::ModIndependentSetsT< MeshT >

Lock one-ring around remaining vertex after a collapse to prevent further collapses of halfedges incident to the one-ring vertices.

Definition at line 69 of file ModIndependentSetsT.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Tools/Decimater/ModIndependentSetsT.hh